"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InjectRedisService = void 0;
const common_1 = require("@nestjs/common");
const common_constant_1 = require("../constants/common.constant");
const redis_constant_1 = require("../constants/redis.constant");
const redis_util_1 = require("../utils/redis.util");
/**
 * 注入RedisService装饰器
 * @param namespace Redis Client namespace
 * @returns RedisService token
 */
const InjectRedisService = (namespace = redis_constant_1.DEFAULT_REDIS_CLIENT_PROVIDER) => {
    common_constant_1.namespaces.includes(namespace) || common_constant_1.namespaces.push(namespace);
    return (0, common_1.Inject)((0, redis_util_1.getRedisServiceToken)(namespace));
};
exports.InjectRedisService = InjectRedisService;
